## org.eclipse.wst.common.environment
Class Choice

    java.lang.Object
      org.eclipse.wst.common.environment.Choice

    public class Choice

extends java.lang.Object

This class is used by the IStatusHandler interface. It allows code that is reporting status to specify choices to the user which this reporting code can react to.

Since:
  1.0

Constructor Summary
`Choice()` Constructor for Choice.
`Choice(char shortcut, java.lang.String label)` Constructor for Choice.
`Choice(char shortcut, java.lang.String label, java.lang.String description)` Constructor for Choice.

Method Summary
`java.lang.String` `getDescription()` Gets the description.
`java.lang.String` `getLabel()` Gets the label.
`char` `getShortcut()` Gets the shortcut.
`void` `setDescription(java.lang.String description)` Sets the description.
`void` `setLabel(java.lang.String label)` Sets the label.
`void` `setShortcut(char shortcut)` Sets the shortcut.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Choice

    public Choice()

  Constructor for Choice.

### Choice

    public Choice(char shortcut,
                  java.lang.String label)

  Constructor for Choice.

  Parameters:
    `shortcut` - the single letter shortcut for this choice.
    `label` - the label to be displayed to the user for this choice.

### Choice

    public Choice(char shortcut,
                  java.lang.String label,
                  java.lang.String description)

  Constructor for Choice.

  Parameters:
    `shortcut` - the single letter shortcut for this choice.
    `label` - the label to be displayed to the user for this choice.
    `description` - the description for this choice.

Method Detail

### getLabel

    public java.lang.String getLabel()

  Gets the label.

  Returns:
    Returns a String

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - The label to set

### getDescription

    public java.lang.String getDescription()

  Gets the description.

  Returns:
    Returns a String

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description.

  Parameters:
    `description` - The description to set

### getShortcut

    public char getShortcut()

  Gets the shortcut.

  Returns:
    Returns a char

### setShortcut

    public void setShortcut(char shortcut)

  Sets the shortcut.

  Parameters:
    `shortcut` - The shortcut to set